Taifa Identity. Docs
OpenAPI Developers

API reference

Other

Management API contract View .md

19 management API operations for Other.

GET/v1/institutions

Institutions

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/json(InstitutionForOperator | InstitutionForAdministrator)[]

Required applies within each listed response variant.

FieldVariantTypeRequiredDescription
[].idInstitutionForOperatorstringYes
[].nameInstitutionForOperatorstringYes
[].statusInstitutionForOperatorstringYes
[].proposerInstitutionForOperatorstringYes
[].approverInstitutionForOperatorstring | nullYes
[].evidence_referenceInstitutionForOperatorstringYes
[].can_review_evidenceInstitutionForOperatortrueYes
[].idInstitutionForAdministratorstringYes
[].nameInstitutionForAdministratorstringYes
[].statusInstitutionForAdministratorstringYes
[].proposerInstitutionForAdministratorstringYes
[].approverInstitutionForAdministratorstring | nullYes
[].can_review_evidenceInstitutionForAdministratorfalseYes

POST/v1/institutions

Create Institution

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredInstitutionCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
namestringYesValidation: min length 2; max length 200
evidence_referencestringYesValidation: min length 5; max length 500

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/approve

Approve Institution

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/people

People

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonPersonRead[]

FieldTypeRequiredDescription
[].idstringYes
[].issuerstringYes
[].subjectstringYes
[].enabledbooleanYes
[].versionintegerYes

POST/v1/people

Create Person

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredPersonCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
issuerstringYes
subjectstringYesValidation: min length 1

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects

Projects

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonProjectRead[]

FieldTypeRequiredDescription
[].idstringYes
[].namestringYes
[].ownerstringYes
[].statusstringYes
[].headintegerYes
[].acknowledgedintegerYes

POST/v1/projects

Create Project

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredProjectCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
namestringYesValidation: min length 2

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/access

Access

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredAccessChange

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
person_idstringYes
institution_idstringYes
project_idstringYes
activebooleanYes

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/access

Access List

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonAccessRead[]

FieldTypeRequiredDescription
[].idstringYes
[].person_idstringYes
[].institution_idstringYes
[].project_idstringYes
[].activebooleanYes
[].versionintegerYes
[].approved_linkobject | nullYes

GET/v1/audit

Audit

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonAuditRead[]

FieldTypeRequiredDescription
[].idstringYes
[].actorstringYes
[].operationstringYes
[].targetstringYes
[].institution_idstring | nullYes
[].request_idstringYes
[].reasonstringYes
[].outcomestringYes
[].changesobjectYes
[].created_atstringYes

GET/v1/operations

Operations

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonOperationsSummary

FieldTypeRequiredDescription
pendingintegerYes
failedintegerYes
failure_diagnostics_availablebooleanYes
statusfailed | pending | effectiveYes

GET/v1/lifecycle/{project_id}

Feed

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
afterqueryintegerNo

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonLifecycleFeed

FieldTypeRequiredDescription
eventsstring[]YesOpaque signed event JWTs
receiptstringYesOpaque signed receipt JWT
next_cursorintegerYes
has_morebooleanYes

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/lifecycle/{project_id}/ack

Acknowledge

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

application/jsonRequiredAcknowledgement

FieldTypeRequiredDescription
sequenceintegerYesValidation: minimum 0; maximum 2147483647

Responses

200Successful Response

Content type: application/jsonLifecycleAcknowledgement

FieldTypeRequiredDescription
headintegerYes
acknowledgedintegerYes
statuspending | effectiveYes

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/approve

Approve Project

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/memberships

Membership

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMembershipChange

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
person_idstringYes
institution_idstringYes
activebooleanYes

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/lifecycle/{project_id}/snapshot

Snapshot

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonLifecycleSnapshot

FieldTypeRequiredDescription
snapshotstringYesOpaque signed snapshot JWT

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/members

Members

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonMembershipRead[]

FieldTypeRequiredDescription
[].idstringYes
[].person_idstringYes
[].institution_idstringYes
[].activebooleanYes
[].sponsorstringYes
[].versionintegerYes

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/people/{person_id}/suspend

Suspend

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
person_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/jobs

Jobs

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Popular

Browse by section